NisusWrtStruct::Position Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | Friends | List of all members
NisusWrtStruct::Position Struct Reference

a position More...

`#include <NisusWrtStruct.hxx>`

## Classes
struct | Compare
| a comparaison structure used to sort the position More...

## Public Member Functions
| Position ()
| the constructor More...
bool | operator== (Position const &p2) const
| operator== More...
bool | operator!= (Position const &p2) const
| operator!= More...
int | cmp (Position const &p2) const
| a small compare operator More...

## Public Attributes
int | m_paragraph
| the paragraph More...
int | m_word
| the word More...
int | m_char
| the character position More...

## Friends
std::ostream & | operator<< (std::ostream &o, Position const &pos)
| operator<<: prints data in form "XxYxZ" More...

## Detailed Description

a position

## Constructor & Destructor Documentation

NisusWrtStruct::Position::Position | ( |  | ) |
| inline

the constructor

## Member Function Documentation

int NisusWrtStruct::Position::cmp | ( | Position const & | p2 | ) | const
| inline

a small compare operator

Referenced by operator!=(), NisusWrtStruct::Position::Compare::operator()(), operator==(), and NisusWrtText::sendText().

bool NisusWrtStruct::Position::operator!= | ( | Position const & | p2 | ) | const
| inline

operator!=

bool NisusWrtStruct::Position::operator== | ( | Position const & | p2 | ) | const
| inline

operator==

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Position const & | pos
| ) |  |
| friend

operator<<: prints data in form "XxYxZ"

Referenced by NisusWrtStruct::FootnoteInfo::FootnoteInfo(), and Position().

## Member Data Documentation

int NisusWrtStruct::Position::m_char

the character position

Referenced by cmp(), NisusWrtText::findFilePos(), NisusWrtStruct::operator<<(), NisusWrtText::readFootnotes(), NisusWrtText::readPosToFont(), and NisusWrtText::sendText().

int NisusWrtStruct::Position::m_paragraph

the paragraph

Referenced by cmp(), NisusWrtText::findFilePos(), NisusWrtStruct::operator<<(), NisusWrtText::readFootnotes(), NisusWrtText::readHeaderFooter(), NisusWrtText::readParagraphs(), NisusWrtText::readPICD(), NisusWrtText::readPosToFont(), NisusWrtText::sendFootnote(), NisusWrtText::sendHeaderFooter(), and NisusWrtText::sendText().

int NisusWrtStruct::Position::m_word

the word

Referenced by cmp(), NisusWrtText::findFilePos(), NisusWrtStruct::operator<<(), NisusWrtText::readFootnotes(), NisusWrtText::readPosToFont(), and NisusWrtText::sendText().

The documentation for this struct was generated from the following file:

- NisusWrtStruct.hxx